package com.boylesoftware.cb2;

import com.boylesoftware.cb2.util.pool.PooledObjectFactoryAdapter;


/**
 * Factory for <code>ActiveStatement</code> objects.
 *
 * @author Lev Himmelfarb
 * @version $Id: ActiveStatementFactory.java,v 1.2 2004/04/02 21:30:46 levahim Exp $
 */
class ActiveStatementFactory
    extends PooledObjectFactoryAdapter {

    /**
     * Reference to our application context.
     */
    private final ApplicationContext appCtx;


    /**
     * Creates a factory.
     *
     * @param appCtx reference to our application context.
     */
    ActiveStatementFactory(ApplicationContext appCtx) {

        this.appCtx = appCtx;
    }


    /**
     * Create an instance of <code>ActiveStatement</code>.
     *
     * @return a new instance of <code>ActiveStatement</code>.
     */
    public Object createObject() {

        return new ActiveStatement(this.pool, this.appCtx);
    }
}
