package com.boylesoftware.cb2;


/**
 * Indicates an unexpected failure in the Business Level. Usually BLOs throw
 * this exception as a reaction to an error in some underlying subsystem, such
 * as the JDBC driver. More specific exceptions can be derived from this one
 * but it is rarely needed.
 *
 * @author Lev Himmelfarb
 * @version $Id: BLException.java,v 1.2 2004/04/16 21:43:27 levahim Exp $
 *
 * @see BLErrors
 */
public class BLException
    extends ApplicationException {

    /**
     * Creates a new exception with the error description.
     *
     * @param message the error description.
     */
    public BLException(String message) {
        super(message);
    }

    /**
     * Creates a new exception with the error description and a throwable that
     * is the cause of this exception.
     *
     * @param message the error description.
     * @param cause the cause of this exception.
     */
    public BLException(String message, Throwable cause) {
        super(message, cause);
    }
}
