<!--
  - Stylesheet for Active Query Details popup.
  -
  - author Lev Himmelfarb
  - version $Id: activestmtdetails.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="stmtId"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>Active Query Details</title>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="activeStmts"/>
  </xsl:template>

  <xsl:template match="activeStmts">
    <xsl:apply-templates select="stmt[@id=$stmtId]"/>
  </xsl:template>

  <xsl:template match="stmt">
    <table class="popup" width="100%">
      <caption>Query Text</caption>
      <tr>
        <td><pre><xsl:value-of select="query"/></pre></td>
      </tr>
    </table>
    <table class="popup" width="100%">
      <caption>Query Parameters</caption>
      <tr>
        <td><pre><xsl:value-of select="queryParams"/></pre></td>
      </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
