<!--
  - Stylesheet for Active DB Queries page.
  -
  - author Lev Himmelfarb
  - version $Id: activestmts.xsl,v 1.5 2003/10/28 22:23:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="timezone"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <script type="text/javascript">
        function popup(stmtId) {

            window.open("cb2-admin?disp=info&amp;ss=appCtx&amp;name=activeStmtDetails&amp;stmtId=" + escape(stmtId),
                        "activeStmtDetailsPopup",
                        "width=500, height=400, menubar=no, toolbar=no, resizable=yes, scrollbars=yes");
        }
      </script>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="activeStmts"/>
  </xsl:template>

  <xsl:template match="activeStmts">
    <p><table class="params">
      <caption>Active Queries<sup>*</sup></caption>
      <xsl:choose>
        <xsl:when test="count(stmt) > 0">
          <tr>
            <th>query text</th>
            <th>state changed</th>
            <th>thread name</th>
            <th>state</th>
            <th>cancel</th>
          </tr>
          <xsl:apply-templates>
            <xsl:sort select="startedOn" order="descending"/>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td>No active queries</td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
    </table></p>
    <p><table class="inframeActions">
      <caption>Supplementary Actions</caption>
      <tr>
      	<td><a class="inframeActionLink" href="cb2-admin?action=CancelAllStmts" target="_top">Cancel all active database statements</a></td>
      </tr>
    </table></p>
    <div class="comment"><sup>*</sup> All timestamps are in <xsl:value-of select="$timezone"/></div>
  </xsl:template>

  <xsl:template match="stmt">
    <tr>
      <xsl:choose>
        <xsl:when test="string-length(normalize-space(query)) > 20">
          <td><xsl:value-of select="substring(normalize-space(query), 1, 20)"/>
          <a><xsl:attribute name="href">javascript:popup('<xsl:value-of select="@id"/>')</xsl:attribute>[...]</a></td>
        </xsl:when>
        <xsl:otherwise>
          <td><xsl:value-of select="normalize-space(query)"/></td>
        </xsl:otherwise>
      </xsl:choose>
      <td><xsl:value-of select="stateChangeTs"/></td>
      <td><xsl:value-of select="thread"/></td>
      <td><xsl:value-of select="status"/></td>
      <td><a target="_top"><xsl:attribute name="href">cb2-admin?action=CancelStmt&amp;stmtId=<xsl:value-of select="@id"/></xsl:attribute>[cancel]</a></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
