<!--
  - Stylesheet for BLO Init Params popup.
  -
  - author Lev Himmelfarb
  - version $Id: bloinitparams.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="bloName"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>BLO Init Parameters</title>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="blos"/>
  </xsl:template>

  <xsl:template match="blos">
    <xsl:apply-templates select="blo[@name=$bloName]"/>
  </xsl:template>

  <xsl:template match="blo">
    <table class="popup" width="100%">
      <caption>Init parameters for BLO <xsl:value-of select="@name"/></caption>
      <tr>
        <td><pre><xsl:value-of select="initParams"/></pre></td>
      </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
