<!--
  - Stylesheet for Registered BLOs page.
  -
  - author Lev Himmelfarb
  - version $Id: blos.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="sortBy"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <script type="text/javascript">
        function popup(bloName) {

            window.open("cb2-admin?disp=info&amp;ss=blMgr&amp;name=bloInitParams&amp;bloName=" + escape(bloName),
                        "bloInitParamsPopup",
                        "width=500, height=400, menubar=no, toolbar=no, resizable=yes, scrollbars=yes");
        }
      </script>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="blos"/>
  </xsl:template>

  <xsl:template match="blos">
    <p><table class="params">
      <caption>Registered BLOs</caption>
      <tr>
        <th><a href="cb2-admin?disp=info&amp;ss=blMgr&amp;name=blos&amp;sortBy=name" class="headerLink">name</a> / <i>(class)</i></th>
        <th>shared?</th>
        <th><a href="cb2-admin?disp=info&amp;ss=blMgr&amp;name=blos&amp;sortBy=nRequests" class="headerLink">n rqs</a></th>
        <th><a href="cb2-admin?disp=info&amp;ss=blMgr&amp;name=blos&amp;sortBy=reqsPerMinute" class="headerLink">rqs/min</a></th>
        <th>init params</th>
      </tr>
      <xsl:choose>
        <xsl:when test="$sortBy='nRequests'">
          <xsl:apply-templates>
            <xsl:sort select="nRequests" data-type="number" order="descending"/>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:when test="$sortBy='reqsPerMinute'">
          <xsl:apply-templates>
            <xsl:sort select="reqsPerMinute" data-type="number" order="descending"/>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates>
            <xsl:sort select="@name"/>
          </xsl:apply-templates>
        </xsl:otherwise>
      </xsl:choose>
    </table></p>
  </xsl:template>

  <xsl:template match="blo">
    <tr>
      <td><xsl:value-of select="@name"/><br/>
      <div class="suppl">(<xsl:value-of select="class"/>)</div></td>
      <td><xsl:value-of select="shared"/></td>
      <td align="right"><xsl:value-of select="nRequests"/></td>
      <td align="right"><xsl:value-of select="reqsPerMinute"/></td>
      <td><xsl:if test="initParams != '{}'"><a><xsl:attribute name="href">javascript:popup('<xsl:value-of select="@name"/>')</xsl:attribute>[see]</a></xsl:if></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
