<!--
  - Stylesheet for BL User Sessions page.
  -
  - author Lev Himmelfarb
  - version $Id: blsessions.xsl,v 1.3 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="timezone"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="sessions"/>
  </xsl:template>

  <xsl:template match="sessions">
    <p><table class="params">
      <caption>User Sessions<sup>*</sup></caption>
      <xsl:choose>
        <xsl:when test="count(session) > 0">
          <tr>
            <th>session id</th>
            <th>started on</th>
            <th>waiting thrds</th>
          </tr>
          <xsl:apply-templates>
            <xsl:sort select="startedOn" order="descending"/>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td>No user sessions</td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
    </table></p>
    <div class="comment"><sup>*</sup> All timestamps are in <xsl:value-of select="$timezone"/></div>
  </xsl:template>

  <xsl:template match="session">
    <tr>
      <td><xsl:value-of select="@id"/></td>
      <td><xsl:value-of select="startedOn"/></td>
      <td align="right"><xsl:value-of select="nWaitingThreads"/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
