<!--
  - Stylesheet for Class Loader Chain page.
  -
  - author Lev Himmelfarb
  - version $Id: clchain.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="clChain"/>
  </xsl:template>

  <xsl:template match="clChain">
    <p><table class="params">
      <caption>Class Loader Chain</caption>
      <tr>
        <th>implementation class</th>
        <th>string value</th>
      </tr>
      <xsl:apply-templates>
        <xsl:sort select="@level" order="descending"/>
      </xsl:apply-templates>
    </table></p>
  </xsl:template>

  <xsl:template match="cl">
    <tr>
      <td><xsl:value-of select="class"/></td>
      <td><xsl:value-of select="stringValue"/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
