<!--
  - Stylesheet for Cluster Members page.
  -
  - author Lev Himmelfarb
  - version $Id: clusterMembers.xsl,v 1.3 2003/10/28 22:23:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="timezone"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="members"/>
  </xsl:template>

  <xsl:template match="members">
    <p><table class="params">
      <caption>Cluster Members<sup>*</sup></caption>
      <xsl:choose>
        <xsl:when test="count(member) > 0">
          <tr>
            <th>host</th>
            <th>started on</th>
            <th>n sesns</th>
            <th>rqs per min</th>
            <th>n errs</th>
            <th>locked</th>
            <th>admin</th>
          </tr>
          <xsl:apply-templates>
            <xsl:sort select="startedOn" order="ascending"/>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td>Clustering is not available</td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
    </table></p>
    <p><table class="inframeActions">
      <caption>Cluster-wide Actions</caption>
      <tr>
      	<td><a class="inframeActionLink" href="cb2-admin?action=ClusterCancelAllStmts" target="_top">Cancel all active database statements</a></td>
      </tr>
      <tr>
        <td><a class="inframeActionLink" href="cb2-admin?action=ClusterLockApp" target="_top">Lock/Unlock all instances</a></td>
      </tr>
    </table></p>
    <div class="comment"><sup>*</sup> All timestamps are in <xsl:value-of select="$timezone"/></div>
  </xsl:template>

  <xsl:template match="member">
    <tr>
      <td><xsl:value-of select="hostName"/> (<xsl:value-of select="hostAddress"/>)</td>
      <td><xsl:value-of select="startedOn"/></td>
      <td align="right"><xsl:value-of select="nSessions"/></td>
      <td align="right"><xsl:value-of select="requestsPerMinute"/></td>
      <td align="right"><xsl:value-of select="nErrors"/></td>
      <td><xsl:value-of select="isLocked"/></td>
      <td><xsl:if test="adminServletURL"><a target="_top"><xsl:attribute name="href"><xsl:value-of select="adminServletURL"/></xsl:attribute>[open]</a></xsl:if></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
