<!--
  - Stylesheet for General DB Info page.
  -
  - author Lev Himmelfarb
  - version $Id: dbinfo.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="db"/>
  </xsl:template>

  <xsl:template match="db">
    <p><table class="params">
      <caption>General Database Info By Data Sources</caption>
      <tr>
        <th>param</th>
        <th>value</th>
      </tr>
      <xsl:apply-templates/>
    </table></p>
  </xsl:template>

  <xsl:template match="dataSource">
    <tr>
      <td colspan="2" class="sectionTitle">DataSource: <xsl:value-of select="@name"/></td>
    </tr>
    <xsl:apply-templates select="info"/>
  </xsl:template>

  <xsl:template match="info">
    <tr>
      <td class="paramName">DataSource implementation class</td>
      <td><xsl:value-of select="dsClass"/></td>
    </tr>
    <tr>
      <td class="paramName">Connection implementation class</td>
      <td><xsl:value-of select="conClass"/></td>
    </tr>
    <tr>
      <td class="paramName">Database product</td>
      <td><xsl:value-of select="dbProduct"/></td>
    </tr>
    <tr>
      <td class="paramName">Database product version</td>
      <td><xsl:value-of select="dbProductVersion"/></td>
    </tr>
    <tr>
      <td class="paramName">Driver</td>
      <td><xsl:value-of select="driverName"/></td>
    </tr>
    <tr>
      <td class="paramName">Driver version</td>
      <td><xsl:value-of select="driverVersion"/></td>
    </tr>
    <tr>
      <td class="paramName">Database URL</td>
      <td><xsl:value-of select="url"/></td>
    </tr>
    <tr>
      <td class="paramName">Database user</td>
      <td><xsl:value-of select="user"/></td>
    </tr>
    <tr>
      <td class="paramName">Default TX isolation level</td>
      <td><xsl:value-of select="txIsolation"/></td>
    </tr>
    <tr>
      <td class="paramName">"Extra" name characters</td>
      <td><xsl:value-of select="extraNameChars"/></td>
    </tr>
    <tr>
      <td class="paramName">Identifier quote string</td>
      <td><xsl:value-of select="idQuoteString"/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
