<!--
  - Stylesheet for JNDI Contents page.
  -
  - author Lev Himmelfarb
  - version $Id: jndi.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <script type="text/javascript">
        function popup(jndiName) {

            window.open("cb2-admin?disp=info&amp;ss=appCtx&amp;name=jndiValue&amp;jndiName=" + escape(jndiName),
                        "jndiValuePopup",
                        "width=500, height=400, menubar=no, toolbar=no, resizable=yes, scrollbars=yes");
        }
      </script>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:choose>
      <xsl:when test="jndi">
        <xsl:apply-templates select="jndi"/>
      </xsl:when>
      <xsl:otherwise>
        <p><table class="params">
          <caption>JNDI Contents</caption>
          <tr>
            <td>JNDI is not available</td>
          </tr>
        </table></p>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="jndi">
    <p><table class="params">
      <caption>JNDI Contents</caption>
      <tr>
        <th>name / <i>(class)</i></th>
        <th>string value</th>
      </tr>
      <xsl:apply-templates>
        <xsl:sort select="@name"/>
      </xsl:apply-templates>
    </table></p>
  </xsl:template>

  <xsl:template match="binding">
    <tr>
      <xsl:choose>
        <xsl:when test="class">
          <td class="paramName"><xsl:value-of select="@name"/><br/>
          <div class="suppl">(<xsl:value-of select="class"/>)</div></td>
          <xsl:choose>
            <xsl:when test="string-length(stringValue) > 50">
              <td><xsl:value-of select="substring(stringValue, 1, 50)"/>
              <a><xsl:attribute name="href">javascript:popup('<xsl:value-of select="@name"/>')</xsl:attribute>[...]</a></td>
            </xsl:when>
            <xsl:otherwise>
              <td><xsl:value-of select="stringValue"/></td>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <td class="paramName"><xsl:value-of select="@name"/><br/>
          <div class="suppl">(-)</div></td>
          <td><i>null</i></td>
        </xsl:otherwise>
      </xsl:choose>
    </tr>
  </xsl:template>

</xsl:stylesheet>
