<!--
  - Stylesheet for Session Last Errors popup.
  -
  - author Lev Himmelfarb
  - version $Id: lasterrors.xsl,v 1.1 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="sessionId"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>Session Last Errors</title>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="sessions"/>
  </xsl:template>

  <xsl:template match="sessions">
    <xsl:apply-templates select="session[@id=$sessionId]"/>
  </xsl:template>

  <xsl:template match="session">
    <xsl:apply-templates select="lastErrors"/>
  </xsl:template>

  <xsl:template match="lastErrors">
    <table class="popup" width="100%">
      <caption>Last Errors for Session <xsl:value-of select="$sessionId"/></caption>
      <xsl:apply-templates select="error"/>
    </table>
  </xsl:template>

  <xsl:template match="error">
    <tr>
      <td nowrap="true" valign="top"><xsl:value-of select="ts"/></td>
      <td valign="top"><xsl:value-of select="type"/></td>
      <td valign="top"><xsl:value-of select="message"/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
