<!--
  - Stylesheet for DAO Query Text popup.
  -
  - author Lev Himmelfarb
  - version $Id: querytext.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="dsName"/>
  <xsl:param name="n"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>DAO Query Text</title>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="daos"/>
  </xsl:template>

  <xsl:template match="daos">
    <xsl:apply-templates select="dao[@name=$dsName]"/>
  </xsl:template>

  <xsl:template match="dao">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="daostats">
    <xsl:apply-templates select="query[@n=$n]"/>
  </xsl:template>

  <xsl:template match="query">
    <table class="popup" width="100%">
      <caption>DAO query</caption>
      <tr>
        <td><pre><xsl:value-of select="sql"/></pre></td>
      </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
