<!--
  - Stylesheet for Servlet Container Info page.
  -
  - author Lev Himmelfarb
  - version $Id: servletinfo.xsl,v 1.3 2003/09/16 13:21:45 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="servletInfo"/>
  </xsl:template>

  <xsl:template match="servletInfo">
    <p><table class="params">
      <caption>General Servlet Container Information</caption>
      <tr>
        <th>parameter</th>
        <th>value</th>
      </tr>
      <tr>
        <td class="paramName">Servlet container</td>
        <td><xsl:value-of select="container"/></td>
      </tr>
      <tr>
        <td class="paramName">Supported Java Servlet specification version</td>
        <td><xsl:value-of select="apiVersion"/></td>
      </tr>
      <tr>
        <td class="paramName">Supported JSP specification version</td>
        <xsl:choose>
          <xsl:when test="jspVersion">
            <td><xsl:value-of select="jspVersion"/></td>
          </xsl:when>
          <xsl:otherwise>
          	<td><i>unknown</i></td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
      <tr>
        <td class="paramName">ServletContext implementation class</td>
        <td><xsl:value-of select="contextClass"/></td>
      </tr>
      <tr>
        <td class="paramName">Web-application name</td>
        <td><xsl:value-of select="webapp"/></td>
      </tr>
    </table></p>
  </xsl:template>

</xsl:stylesheet>
