<!--
  - Stylesheet for System Properties page.
  -
  - author Lev Himmelfarb
  - version $Id: sysprops.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <script type="text/javascript">
        function popup(propName) {

            window.open("cb2-admin?disp=info&amp;ss=appCtx&amp;name=sysPropValue&amp;propName=" + escape(propName),
                        "sysPropValuePopup",
                        "width=500, height=400, menubar=no, toolbar=no, resizable=yes, scrollbars=yes");
        }
      </script>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="sysProps"/>
  </xsl:template>

  <xsl:template match="sysProps">
    <p><table class="params">
      <caption>System Properties</caption>
      <xsl:choose>
      	<xsl:when test="count(prop) > 0">
          <tr>
            <th>name</th>
            <th>value</th>
          </tr>
          <xsl:apply-templates>
            <xsl:sort select="@name"/>
          </xsl:apply-templates>
        </xsl:when>
        <xsl:otherwise>
          <tr>
            <td>System properties are unavailable</td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
    </table></p>
  </xsl:template>

  <xsl:template match="prop">
    <tr>
      <td class="paramName"><xsl:value-of select="@name"/></td>
      <xsl:choose>
        <xsl:when test="string-length(.) > 60">
          <td><xsl:value-of select="substring(., 1, 60)"/>
          <a><xsl:attribute name="href">javascript:popup('<xsl:value-of select="@name"/>')</xsl:attribute>[...]</a></td>
        </xsl:when>
        <xsl:otherwise>
          <td><xsl:value-of select="."/></td>
        </xsl:otherwise>
      </xsl:choose>
    </tr>
  </xsl:template>

</xsl:stylesheet>
