package com.boylesoftware.cb2.commons.user;

import java.util.EventObject;

import com.boylesoftware.cb2.BLObject;


/**
 * The event object used by UserSessionStateListener interface.
 *
 * @author Lev Himmelfarb
 * @version $Id: UserSessionStateEvent.java,v 1.1 2003/04/22 17:34:18 levahim Exp $
 * @see UserSessionStateListener
 * @see UserBLO
 */
public class UserSessionStateEvent
    extends EventObject {

    /**
     * The related user account id.
     */
    protected final long userId;


    /**
     * Constructs an event.
     */
    public UserSessionStateEvent(BLObject source, long userId) {
        super(source);

        this.userId = userId;
    }


    /**
     * Returns the related user account id.
     */
    public long getUserId() {

        return this.userId;
    }
}
