package com.boylesoftware.cb2.presentation.servlet;


/**
 * This class represents a component used on a page. The
 * <code>ShowPageAction</code> puts instances of this class into the request
 * scope for every component used by the page being called.
 *
 * @author Lev Himmelfarb
 * @version $Id: ComponentRuntimeWrapper.java,v 1.1 2004/03/10 22:53:14 levahim Exp $
 */
final class ComponentRuntimeWrapper {

    /**
     * Array of local presentation element beans for this
     * component. Ignored for attribtues.
     */
    public final PresentationElement [] pelements;

    /**
     * Array of corresponding names for pelements in the
     * <code>pelement</code> array. The pelement beans are put to
     * the request attributes under the names in this
     * array. Ignored for attributes.
     */
    public final String [] pelementNames;

    /**
     * Context relative URL of the component's JSP.
     */
    public final String jsp;


    /**
     * Constructs a wrapper ready to be put to the request.
     */
    public ComponentRuntimeWrapper(PresentationElement [] pelements,
                                   String [] pelementNames,
                                   String jsp) {

        this.pelements = pelements;
        this.pelementNames = pelementNames;
        this.jsp = jsp;
    }
}
