package com.boylesoftware.cb2.presentation.servlet;

import javax.servlet.jsp.tagext.TagData;
import javax.servlet.jsp.tagext.TagExtraInfo;


/**
 * Tag Extra Info class for the <code>&lt;cb2:insert&gt;</code> JSP tag.
 *
 * @author Lev Himmelfarb
 * @version $Id: InsertTei.java,v 1.1 2004/03/10 22:53:14 levahim Exp $
 */
public final class InsertTei
    extends TagExtraInfo {

    /**
     * Validate the tag instance at translation time.
     *
     * @param data the tag data.
     *
     * @return <code>true</code> if the instance is valid.
     */
    public boolean isValid(TagData data) {

        if((data.getAttribute("name") == null) &&
           (data.getAttribute("nameBean") == null) &&
           (data.getAttribute("nameProperty") == null))
            return false;

        if((data.getAttribute("name") != null) &&
           ((data.getAttribute("nameBean") != null) || (data.getAttribute("nameProperty") != null)))
            return false;

        if((data.getAttribute("nameBean") != null) && (data.getAttribute("nameProperty") == null))
            return false;

        return super.isValid(data);
    }
}
