package com.boylesoftware.cb2.presentation.servlet;

import javax.servlet.ServletException;


/**
 * This exception is thrown by the <code>ShowPageAction</code> when
 * an presentation element input parameter has an invalid value.
 * The reason it is a separate exception type is that you can filter
 * it with an <code>onerror</code> element of a page descriptor and
 * forward to some special page instead of throwing the exception
 * further to the servlet container.
 *
 * @author Lev Himmelfarb
 * @version $Id: InvalidParamValueException.java,v 1.1 2003/07/20 16:04:19 levahim Exp $
 */
public class InvalidParamValueException
    extends ServletException {

    /**
     * Constructs a new exception.
     *
     * @param message the error message.
     */
    public InvalidParamValueException(String message) {
        super(message);
    }

    /**
     * Constructs a new exception caused by another exception.
     *
     * @param message the error message.
     * @param cause the cause.
     */
    public InvalidParamValueException(String message, Throwable cause) {
        super(message, cause);
    }
}
