package com.boylesoftware.cb2.presentation.servlet;

import javax.servlet.ServletException;


/**
 * This exception is thrown by the <code>ShowPageAction</code> when
 * it can't find a required presentation element input parameter in the
 * scope while setting it up. The reason it is a separate exception type
 * is that you can filter it with an <code>onerror</code> element of a
 * page descriptor and forward to some special page instead of throwing
 * the exception further to the servlet container.
 *
 * @author Lev Himmelfarb
 * @version $Id: NoRequiredParamException.java,v 1.1 2003/07/20 16:04:19 levahim Exp $
 */
public class NoRequiredParamException
    extends ServletException {

    /**
     * Constructs a new exception.
     *
     * @param message the error message.
     */
    public NoRequiredParamException(String message) {
        super(message);
    }

    /**
     * Constructs a new exception caused by another exception.
     *
     * @param message the error message.
     * @param cause the cause.
     */
    public NoRequiredParamException(String message, Throwable cause) {
        super(message, cause);
    }
}
