package com.boylesoftware.cb2.presentation.servlet;


/**
 * General purpose Java bean intended to keep session-scope
 * presentation level state data. The CB2 library maintains an
 * instance of this bean for every session. It is in general a better
 * practice to keep various parameters in a typizied bean properties,
 * rather than directly in the HTTP session attributes. The instance
 * of this bean can be always retrieved by an action or a presentation
 * element from the action context.
 *
 * <p>This default implementation is empty, but applications are
 * supposed to derive their own UI state bean from this class and
 * specify it in the <code>uistate</code> init parameter of the
 * <code>ControllerServlet</code>.
 *
 * <code>UIState</code> bean instances are available to the user code
 * through action context instances or directly as a request attribute
 * set be the controller servlet under <code>ControllerServlet.UISTATE</code>
 * name.
 *
 * @author Lev Himmelfarb
 * @version $Id: UIState.java,v 1.4 2004/10/11 18:17:36 levahim Exp $
 */
public class UIState
    implements java.io.Serializable {

    /* nothing */
}
