package com.boylesoftware.cb2.util;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXParseException;
import org.xml.sax.SAXException;


/**
 * Simple error handler for XML parsers. This handler is very "cruel"
 * -- it throws exception on any warning, error or fatalError
 * condition.
 *
 * @author Lev Himmelfarb
 * @version $Id: CruelErrorHandler.java,v 1.1 2003/04/22 17:34:18 levahim Exp $
 */
public class CruelErrorHandler
    implements ErrorHandler {

    /**
     * Rethrows the exception.
     *
     * @param exception the exception.
     *
     * @throws SAXException always throws this exception.
     */
    public void warning(SAXParseException exception)
        throws SAXException {

        throw exception;
    }

    /**
     * Rethrows the exception.
     *
     * @param exception the exception.
     *
     * @throws SAXException always throws this exception.
     */
    public void error(SAXParseException exception)
        throws SAXException {

        throw exception;
    }

    /**
     * Rethrows the exception.
     *
     * @param exception the exception.
     *
     * @throws SAXException always throws this exception.
     */
    public void fatalError(SAXParseException exception)
        throws SAXException {

        throw exception;
    }
}
