package com.boylesoftware.cb2.util;

import javax.servlet.http.HttpServletResponse;


/**
 * A collection of static utility functions to work with HTTP response
 * objects.
 *
 * @author Lev Himmelfarb
 * @version $Id: HttpResponseUtils.java,v 1.1 2003/04/22 17:34:18 levahim Exp $
 */
public final class HttpResponseUtils {

    /**
     * Sets headers in a response so it is not cached by the browser.
     *
     * @param response the response.
     */
    public static void setNoCache(HttpServletResponse response) {

        response.setHeader("Pragma", "No-cache");
        response.setHeader("Cache-Control", "no-cache");
        response.setDateHeader("Expires", 1);
    }
}
