package com.boylesoftware.cb2.util.pool;


/**
 * Convenience adapter for <code>PooledObjectFactory</code> interface. This
 * abstract class contains stub implementations of some of the interface
 * methods, so when your factory implementation extends this adapter it
 * does not have to implement all the methods.
 *
 * @author Lev Himmelfarb
 * @version $Id: PooledObjectFactoryAdapter.java,v 1.2 2004/10/11 18:17:36 levahim Exp $
 */
public abstract class PooledObjectFactoryAdapter
    implements PooledObjectFactory {

    /**
     * Reference to the pool set by the <code>setPool</code> method.
     */
    protected AdaptiveObjectPool pool;


    /**
     * Interface method implementation, does nothing.
     */
    public void resetObject(Object o) { /* do nothing */ }

    /**
     * Interface method implementation, does nothing.
     */
    public void destroyObject(Object o) { /* do nothing */ }

    /**
     * Interface method implementation, sets the internal <code>pool</code>
     * member variable.
     */
    public void setPool(AdaptiveObjectPool pool) {

        this.pool = pool;
    }
}
